Subject: [Int-area] Comments on draft-ietf-intarea-hostname-practice-00

From: Rolf Winter <[email-masked]>
Date: Fri, 15 Apr 2016 09:34:44 +0200

Hi,

I re-read draft-ietf-intarea-hostname-practice-00 and have a few 
comments, which I have all put into the attached XML (comments prefixed 
with RW:). I have added text all over the place, a few references and 
made etitorial changes. There are a few questions left. They are part of 
the XML, too, but I have put them here in the mail as well. Overall, I 
find the document really useful and support its publication. I have a 
diff attached for your convenience as well. You are of course free to 
discard any of the changes I made.

#

# Up for discussion
s/hostname/host name/  #for the whole document

This is how e.g. RFC 6762 spells host name and how RFC 7719 has it in 
its definition but states "hostname" to be equivalent. Also the DHCP 
spec and SRV record spec spell it "host name" which are all used as 
references in the document. I have for now made the spelling at least 
consistent to "hostnames".

-----

This paragraph...

Of course, unique names assigned by manufacturers are even more 
interesting for such adversaries capable of maintaining a database 
recording the hostnames of devices used by specific user.  With a 
unique name like "BrandX-123456-7890-abcdef" identification can be 
pretty much immediate.

... I found misleading. Because in all the rest of that section, 
identification seems to imply "identifying the user of the device". The 
example here does not allow that. It allows for tracking but not 
identification. But MAC addresses allow that, too. So in that respect 
the above is not all that interesting.

My personal preference would be to remove that bit, at least under the 
heading "Partial Identification". Maybe add the tracking aspect in the 
section before, where this example is given as well?

Best,

Rolf

---

From: Christian Huitema <[email-masked]>
Date: Fri, 15 Apr 2016 17:38:18 +0000

On Friday, April 15, 2016 12:35 AM, Rolf Winter wrote:
> 
> Hi,
> 
> I re-read draft-ietf-intarea-hostname-practice-00 and have a few comments,
> which I have all put into the attached XML (comments prefixed with RW:). I
> have added text all over the place, a few references and made etitorial
> changes. There are a few questions left. They are part of the XML, too, but I
> have put them here in the mail as well. Overall, I find the document really
> useful and support its publication. I have a diff attached for your convenience
> as well. You are of course free to discard any of the changes I made.

Thanks, Rolf. I took your version, applied a couple of other changes, and submitted
a new version of the draft.
> This is how e.g. RFC 6762 spells host name and how RFC 7719 has it in its
> definition but states "hostname" to be equivalent. Also the DHCP spec and SRV
> record spec spell it "host name" which are all used as references in the
> document. I have for now made the spelling at least consistent to "hostnames".

Yes. I believe the RFC Editor will insist on "host name." We can always change that later.
 
> This paragraph...
> 
> Of course, unique names assigned by manufacturers are even more interesting
> for such adversaries capable of maintaining a database recording the
> hostnames of devices used by specific user.  With a unique name like "BrandX-
> 123456-7890-abcdef" identification can be pretty much immediate.
> 
> ... I found misleading. Because in all the rest of that section, identification
> seems to imply "identifying the user of the device". The example here does not
> allow that. It allows for tracking but not identification. But MAC addresses
> allow that, too. So in that respect the above is not all that interesting.
> 
> heading "Partial Identification". Maybe add the tracking aspect in the section
> before, where this example is given as well?

Yes, these host name do not directly encode the first name or last name of the user. However, the whole point of the paragraph is to show how partial identifiers help tracking. I can imagine an adversary maintain a database associating user ID, device ID, host names, MAC Addresses, and other kind of metadata. For all we know, if this is not already done, some defense contractor is reading these messages right now and submitting a project for funding... In any case, I rewrote the text to:

   Unique names assigned by manufacturers do not directly encode a user
   identifier, but they have the property of being stable and unique to
   the device in a large context.  A unique name like "BrandX-
   123456-7890-abcdef" allows efficient tracking across multiple
   domains.  In theory, this only allows tracking of the device but not
   of the user.  However, an adversary could correlate the device to the
   user through other means, for example the one-time capture of some
   clear text traffic.  Adversaries could then maintain databases
   linking unique host name to user identity.  This will allow efficient
   tracking of both the user and the device.

-- Christian Huitema